class CreateShops < ActiveRecord::Migration[5.1]
  def change
    create_table :shops do |t|
      t.string :logo
      t.string :name, :null => false
      t.string :address, :null => false
      t.string :township, :null => false
      t.string :city, :null => false
      t.string :state, :null => false
      t.string :country, :null => false
      t.string :phone_no, :null => false
      t.string :reservation_no, :null => false
      t.string :license, :null => false
      t.datetime :activated_at, :null => false
      t.text :license_data, :null => false
      t.string :base_currency, :null => false, :limit => 3
      t.string :cloud_url
      t.string :cloud_token
      t.string :owner_token
      t.string :id_prefix, :null => false, :limit => 3

      t.timestamps
    end
  end
end
